Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456306 - whiptail --separate-output option does not work
Summary: whiptail --separate-output option does not work
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: newt
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-22 18:21 UTC by Petr Šplíchal
Modified: 2016-06-01 01:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-24 10:38:06 UTC


Attachments (Terms of Use)

Description Petr Šplíchal 2008-07-22 18:21:06 UTC
Description of problem:

When using --separate-output option for one-result-per-line output of checklist
there is no output at all. Without this option selected tags are reported correctly.

Version-Release number of selected component (if applicable):
newt-0.52.2-12.el5.x86_64

How reproducible:
Always

Steps to Reproduce:
whiptail --checklist Check 12 77 3 tag1 item1 on   tag2 item2 on  tag3 item3 on
--separate-output
leave check boxes on, press enter

Actual results:
no output/results for checked boxes

Expected results:
one tag per line for each selected checkbox
(Man page says: For checklist widgets, output result one line at a time, with no
quoting. This facilitates parsing by another program.)

Additional info:
whiptail --checklist Check 12 77 3 tag1 item1 on   tag2 item2 on  tag3 item3 on
reports checked boxes correctly as quoted tags on one line

Comment 1 Miroslav Lichvar 2008-07-24 10:38:06 UTC
The strings are written to the output before screen is cleared so it should be
redirected to a file or a process. When --separate-output isn't used, line
buffering will delay the output and it's visible on screen.


Note You need to log in before you can comment on or make changes to this bug.